@import url('https://fonts.googleapis.com/css2?family=Clicker+Script&family=EB+Garamond:ital,wght@0,400;0,600;1,700&family=Poppins:wght@200;300;400;500;600;700&display=swap');

:root{
    scroll-behavior: auto;
    --bg-black-900:#f2f2fc;
    --bg-black-100:#fdf9ff;
    --bg-black-50:#e8dfec;
    --text-black-900:#302e4d;
    --text-black-700:#504e70;
}
body{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    /* font-family: 'Poppins', sans-serif; for font-family */
    overflow-x: hidden;
    background: var(--bg-black-900);
}
body.dark{
    --bg-black-900:#151515;
    --bg-black-100:#222222;
    --bg-black-50:#393939;
    --text-black-900:#ffffff;
    --text-black-700:#e9e9e9;
}
*{
    margin: 0;
    padding: 0;
    outline: 0;
    text-decoration: none;
    box-sizing: border-box;
}
ul{
    list-style: none;
    margin: 0;
    padding: 0;

}
/* .main-content{
    padding-left: 270px;
} */
.section{
    background: var(--bg-black-900);
    min-height: 100vh;
    display: none;
    opacity: 1;
    padding: 0 30px;
    position: fixed;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    z-index: 0;
    overflow-y: auto;
    overflow-x: hidden;
    transition: all 0.3s ease;
}
.section.side{
    left: 270px;
}

.section.active{
    display: block;
    z-index: 2;
    opacity: 1;
    animation: slideSection 1s ease;
}
@keyframes slideSection {
    0%{
        transform: translateX(100%);
    }
    100%{
        transform: translateX(0%);
    }
}


/* ======== aside-bar========== */
.aside-bar{
    width: 270px;
    background: var(--bg-black-100);
    position: fixed;
    left: -270px;
    top: 0;
    height: 100%;
    padding: 30px;
    z-index: 10;
    display: flex;
    justify-content: center;
    align-items: center;
    border-right: 1px solid var(--bg-black-50);
    transition: all 0.3s ease;
}
.aside-bar.open{
    left: 0px;
}
.aside-bar .logo{
    position: absolute;
    top: 50px;
    font-style: 30px;
    text-transform: capitalize;
}
.aside-bar .logo a{
    text-decoration: none;
    font-style: 30px;
    padding: 20px 15px;
    letter-spacing: 5px;
    /* color: var(--text-black-900); */
    color: #ec1839;
    font-weight: 700;
    position: relative;
}
.aside-bar .logo a::before{
    position: absolute;
    content: "";
    left: 0;
    top: 0px;
    height: 20px;
    width: 20px;
    border-top: 5px solid var(--skin-color);
    border-left: 5px solid var(--skin-color);
}
.aside-bar .logo a::after{
    position: absolute;
    content: "";
    right: 0;
    bottom: 0px;
    height: 20px;
    width: 20px;
    border-right: 5px solid var(--skin-color);
    border-bottom: 5px solid var(--skin-color);
}
.aside-bar .logo a span{
    font-family: 'Clicker Script', cursive;
    font-size: 40px;
}
.aside-bar ul{
    margin-top: 50px;
}
.aside-bar ul li{
    margin-bottom: 20px;
    display: block;
}
.aside-bar ul li a{
    font-size: 16px;
    font-weight: 600;
    color: var(--text-black-900);
    text-decoration: none;
    display: block;
    padding: 5px 15px;
    border-bottom: 1px solid var(--bg-black-50);
}
.aside-bar ul li.active a{
    color: var(--skin-color);
}
.aside-bar ul li a i{
    margin-right: 15px;
}
.aside-bar .nav-toggler {
    background-color: var(--bg-black-100);
    display: flex;
    justify-content: center;
    align-items: center;
    border: 1px solid var(--bg-black-50);
    height: 30px;
    width: 30px;
    position: fixed;
    left: 20px;
    top: 20px;
    font-size: 25px;
    color: var(--skin-color);
    cursor: pointer;
    transition: all 0.3s ease;
}
.nav-toggler.open{
    left: 275px;
}
.nav-toggler.open::after{
    position: absolute;
    content: "";
    height: 10px;
    width: 10px;
    background-color: var(--bg-black-100);
    border-left: 1px solid var(--bg-black-50);
    border-bottom: 1px solid var(--bg-black-50);
    right: 100%;
    top: 50%;
    transform: translate(50%,-50%) rotate(45deg);
}


/* ===========home section=========== */
.home{
    padding-top: 150px;
}
.home .pos-abs{
     position: absolute; /*for particle js */
    
}
.home .hello{
    font-family: 'EB Garamond', serif;
    font-weight: 700;
    color: var(--text-black-900);
}
.home .hello span{
    font-family: 'Clicker Script' , cursive;
    font-weight: 700;
    color: var(--skin-color);
}
.home .profession{
    font-family: 'EB Garamond', serif;
    font-weight: 700;
    color: var(--text-black-900);
}
.home .profession .typing{
    color: var(--skin-color);
}
.home p{
    margin-bottom: 70px;
    font-family: 'EB Garamond', serif;
    font-size: 20px;
    font-weight: 600;
    color: var(--text-black-900);
}
.btn-hire{
    text-decoration: none;
    background : var(--skin-color);
    padding: 10px 30px;
    border-radius: 40px;
    color: white;
    border: none;
    display: inline-block;
    transition: all 0.3s ease;
}
.btn-hire:hover{
    transform: scale(1.08);
    color: white;
}
.home .mobile_view{
    display: none;
}
.image{
  text-align: center;
  position: relative;
}
.home .image img{
  width: 60%;
   margin: 0;
   padding: 0;
}
.home .image::after{
    position: absolute;
    content: "";
    height: 70px;
    width: 70px;
    border-bottom: 8px solid var(--skin-color);
    border-left: 8px solid var(--skin-color);
    left: 40px;
    bottom: -40px;

}
.home .image::before{
    position: absolute;
    content: "";
    height: 70px;
    width: 70px;
    border-top: 8px solid var(--skin-color);
    border-right: 8px solid var(--skin-color);
    right: 40px;
    top: -40px;

}

.contact-link{
    text-decoration: none;
    border-radius: 10px;
    background-color: var(--skin-color);
    color: white;
    padding: 5px 10px;
    font-size: 20px;
}
.contact-link:hover{
    color: white;
}

/* ================ about section =========== */
.about,.portfolio,.service,.contact{
    padding-top: 50px;
    
}
.contact .section-title h2,
.about .section-title h2,
.service .section-title h2,
.portfolio .section-title h2{
    display: block;
    padding: 10px 12px;
    position: relative;
    color: var(--text-black-900);
}
.contact .section-title h2::after,
.about .section-title h2::after,
.service .section-title h2::after,
.portfolio .section-title h2::after{
    position: absolute;
    content: "";
    height: 4px;
    width: 60px;
    top: 100%;
    left: 0;
    border-radius: 5px;
    margin-left: 12px;
    background-color: var(--skin-color);
}
.contact .section-title h2::before,
.about .section-title h2::before,
.service .section-title h2::before,
.portfolio .section-title h2::before{
    position: absolute;
    content: "";
    height: 4px;
    width: 40px;
    left: 0;
    bottom: -15px;
    border-radius: 5px;
    margin-left: 12px;
    background-color: var(--skin-color);
}
.about .abt-title{
    color: var(--text-black-700);
}
.about .abt-title span{
    color: var(--skin-color);
}
.about .abt-description{
    color: var(--text-black-700);
    margin: 10px 0 20px 0;
    width: 80%;
}

.about .abt-item p{
    font-weight: 700;
    font-size: 16px;
    color: var(--text-black-700);
}
.about .abt-item p span{
    color: var(--text-black-700);
    font-weight: normal;
    font-style: 14px;
    margin-left: 10px;
}
.about .responsive-hide .btn-hire{
   margin-top: 25px;
   margin-right: 15px;
}
.about .responsive-show .btn-hire{
   margin-top: 25px;
   margin-right: 15px;
   display: none;
}
/* skill container */

.skill-container{
    display: flex;
    gap: 24px;
    flex-wrap: wrap;
}

.skill-item{
    border: 1px solid var(--skin-color);
    padding: 20px;
    border-radius: 20px;
    display: flex;
    gap: 10px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    /* position: relative;*/
    transition: all 0.2s linear ; 
}
.skill-item:hover{
    box-shadow: 0 0 15px rgba(0, 0, 0 , 0.3);
    
}
.skill-item img{
    width: 160px;
}
.skill-item p{
    font-size: 20px;
    color: var(--text-black-900);
    font-weight: 600;
}




.about .p-info,
.skills,
.education,
.experience{
    font-size: 24px;
    margin-bottom: 15px;
    color: var(--text-black-900);
}
/* about education + experiences */
.edu-container .box{
    max-width: 100%;
    background-color: var(--bg-black-100);
    padding: 30px 20px 30px 50px;
    box-shadow: 0 0 25px rgba(48, 46, 77, 0.15);
}

.edu-container .education-item{
    padding-top: 15px;
    position: relative;
  
}
.edu-container .education-item::after{
    position: absolute;
    content: "";
    height: 100%;
    width: 2px;
    background-color: var(--skin-color);
    left: -25px;
    top: 0;
}
.edu-container .education-item::before{
    position: absolute;
    content: "";
    height: 20px;
    width: 20px;
    background-color: var(--skin-color);
    border-radius: 10px;
    top: 0;
    left: -34px;
}
.edu-container .education-item .education-time{
    margin-right: 15px;
    color: var(--text-black-900);
}
.edu-container .education-item span{
    color: var(--text-black-700);
}
.edu-container .education-item .education-title{
    font-size: 17px;
    text-transform: capitalize;
    margin: 10px 0;
    color: var(--text-black-900);
}
.edu-container .education-item .education-details{
    color: var(--text-black-700);
    text-align: justify;
    border-bottom: 1px solid var(--bg-black-50);
    padding-bottom: 10px;
    margin-bottom: 0;
}
.edu-container .education-item:last-child .education-details{
    border-bottom: none;
}
.edu-container hr{
    background-color: var(--text-black-700);
}

/* =========== service part ============ */

.service .service-item{
    background-color: var(--bg-black-100);
    text-align: center;
    padding: 15px 10px;
    margin-bottom: 25px;
    box-shadow: 0 0 25px rgba(48, 46, 77, 0.15);
    min-height: 240px;
    
}
.service .service-item:hover{
  
}
.service .service-item .service-name{
    text-transform: capitalize;
    font-size: 18px;
    color: var(--text-black-900);
}
.service .service-item .icon{
    display: inline-block;
    padding: 4px 8px;
    font-size: 20px;
    background-color: var(--skin-color);
    color: white;
    transition: all 0.3s ease-in;
    margin-bottom: 10px;
}
.service .service-item:hover .icon{
    transform: rotate(45deg);
}
.service .service-item .icon i{
    transition: all 0.3s ease-in;
}
.service .service-item:hover .icon i{
    transform: rotate(-45deg);
}
.service .service-item p{
    color: var(--text-black-700);
}

/* ====== portfolio ============== */
.portfolio .last-project-title{
    display: block;
    color: var(--text-black-900);
    margin: 30px 0;
    text-transform: capitalize;
}
.portfolio .portfolio-item{
    margin-bottom: 20px;
    position: relative;
    border-radius: 10px;
    overflow: hidden;
    height: 550px;
    
}
.portfolio .portfolio-item img{
    width: 100%;
    transition: all 0.3s ease;
}
.portfolio .portfolio-item:hover img{
    transform: scale(1.10);
    
}
.portfolio .portfolio-item-overlay{
    position: absolute;
    content: "";
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.7);
    display: none;
}

.project-name{
    font-size: 20px;
    font-weight: 600;
    color: var(--skin-color);
}
.portfolio .portfolio-item .project-details,
.portfolio .portfolio-item .live-preview
{
    position: absolute;
    left: 50%;
    transform: translate(-50%, -50%);
    border: 2px solid var(--skin-color);
    padding: 5px;
    border-radius: 10px;
    transition: 1s;
}
.portfolio .portfolio-item h5 a{
    text-decoration: none;
    color: white;
}
.portfolio .portfolio-item h5 button{
    background-color: transparent;
    color: white;
    border: none;
    font-weight: 600;
    padding: 3px 10px;
}

.portfolio .portfolio-item .project-details{
    top: -10%;
}
.portfolio .portfolio-item .live-preview{
    bottom: -20%;
}
.portfolio .portfolio-item:hover .portfolio-item-overlay{
    display: block;
}
.portfolio .portfolio-item:hover .project-details{
    top: 40%;
}
.portfolio .portfolio-item:hover .live-preview{
    bottom: 40%;
}

/* project details in Modal ======= */

.project-title{
    font-size: 36px !important;
}
.screenshot img{
    width: 100%;
    object-fit: cover;
    height: 300px;
}
.modal-body p{
    font-size: 18px;
    font-weight: 400;
    line-height: 1.7;
    color: black;
}

.overview p{
    font-weight: 500;
}

.title{
    font-size: 32px;
    font-weight: 600;
    line-height: 1.2;
    color: black;
    border-bottom: 1px solid lightgray;
    padding: 10px 0;
}

.ul-list{
    list-style-type: disc;
    margin-left: 20px;

    li{
        line-height: 2;
        font-size: 16px;
        font-weight: 400;
    }
}



.home-page__thumb-wrap {
    background: #FFFFFF;
    box-shadow: 0px 2px 4px rgba(0, 2, 41, 0.08);
    border-radius: 20px;
    padding: 15px;
    position: relative;
}
.mb-40{
    margin-bottom: 40px;
}
.home-page__thumb-title {
    padding: 10px;
    padding-top: 15px;
}

.home-page__thumb {
    height: 500px;
    background-position: top;
    transition: all 2.3s;
    background-size: 100%;
    border-radius: 15px;
    border: 1px solid #EBEBEE;
    background-repeat: no-repeat;
}

.home-page__btn {
    line-height: 1;
    position: absolute;
    bottom: 0px;
    left: 0;
    right: 0;
    text-align: center;
    opacity: 0;
    visibility: hidden;
    -webkit-transition: all 0.3s ease-out 0s;
    -moz-transition: all 0.3s ease-out 0s;
    -ms-transition: all 0.3s ease-out 0s;
    -o-transition: all 0.3s ease-out 0s;
    transition: all 0.3s ease-out 0s;
}

.menu-btn {
    display: inline-block;
    font-weight: 600;
    color: var(--tp-common-white);
    background: var(--tp-theme-1);
    text-align: center;
    overflow: hidden;
    border-radius: 4px;
    padding: 12px 24px 14px 24px;
    font-size: 15px;
    width: 140px;
    line-height: 1;
}


/* ========== contact ========== */
/* hire option */

.hire-option{
    display: flex;
    margin-top: 50px;
    margin-left: 15px;
}
.hire-option h3{
    color: var(--text-black-900);
}
.hire-option a{
    margin-left: 30px;
}
.hire-option .fiverr,
.hire-option .upwork,
.hire-option .linkedIn{
    
    color: white;
    font-size: 20px;
    font-weight: 600;
}
.hire-option .fiverr{
    background-color: #1DBF73;
}
.hire-option .upwork{
    background-color: #6fda44;
}
.hire-option .linkedIn{
    background-color: #0e76a8;
}
/* =============== */
.contact .question{
    text-align: center;
    margin-top: 50px;
}
.contact .question h4{
    color: var(--skin-color);
    text-transform: capitalize;
}
.contact .question p{
    color: var(--text-black-900);
    font-weight: bold;
    font-size: 20px;
    text-transform: capitalize;
}
/*       contact-item       */
.contact .contact-item{
    text-align: center;
    padding: 10px 5px;
    margin-top: 20px;
}
.contact .contact-item i{
    color: var(--skin-color);
    font-size: 20px;
    margin-bottom: 5px;
}
.contact .contact-item h6{
    color: var(--text-black-900);
    
}
.contact .contact-item p{
    color: var(--text-black-900);
    font-size: 15px;
}
.contact .contact-item a{
    color: var(--text-black-900);
    font-size: 15px;
    text-decoration: none;
    margin-bottom: 15px;
    display: inline-block;
}
.contact .contact-item a:hover{
    color: #0d6efd;
}
/*  contact form     */
.contact .contact-form{
    margin-top: 30px;
    text-align: center;
    margin-bottom: 50px;
}
.contact .contact-form input,
.contact .contact-form textarea{
    margin-bottom: 30px;
    box-shadow: 0 0 25px rgba(48, 46, 77, 0.15);

}

/* ==== copyright====== */
.copyright{
    background-color: var(--text-black-700);
    text-align: center;
    padding: 7px;
    color: var(--bg-black-100);
    margin-bottom: 5px;
}


/* ====================================== */

